Problem solving

This section tells what to do if you have a computer problem. It includes troubleshooting charts.

Frequently asked questions

Hints and tips

Before troubleshooting

Troubleshooting

Contacting IBM


Audio problems

  • Wave or MIDI sound does not play correctly.

  • Recordings made by using the microphone input are not loud enough.

  • A volume or balance slider cannot be moved.

  • The mixer sliders do not stay in place when some audio applications are used.

  • The volume sliders do not all fit in the Mixer window.

  • The balance slider cannot completely mute one channel.

  • Under the Windows NT(R) 4.0, Wave and MIDI sound cannot be heard simultaneously .

  • There is no volume control for MIDI sound within the mixer panel.

  • Under Windows NT 4.0, you cannot enter suspend or hibernation mode while MIDI sound is playing or paused.

Problem: Wave or MIDI sound does not play correctly.

Solution: Make sure the built-in audio device is configured correctly.

For Windows XP:

  1. Click Start-->Control Panel.

  2. Click Performance and Maintenance.

  3. Click System.

  4. Click the Hardware tab, and then click the Device Manager button.

  5. Click the + mark for Sound, video and game controllers.

  6. Make sure the following device is enabled and configured correctly:

    • SoundMAX Integrated Digital Audio

For Windows 2000 and Windows 98:

  1. Click Start.

  2. Move the cursor to Settings and Control Panel.

  3. Click Control Panel, and then double-click System.

  4. Click the Device Manager tab. (For Windows 2000, click the Hardware tab, then the Device Manager button.)

  5. Click the + mark for Sound, video and game controllers.

  6. Make sure the following devices are all enabled and configured correctly:

    • SoundMAX Integrated Digital Audio

For Windows NT:

  1. Click Start.

  2. Move the cursor to Settings and Control Panel.

  3. Click Control Panel, and then double-click Multimedia.

  4. Click the Devices tab.

  5. Click the + mark of Audio Devices.

  6. Make sure that the following device is installed:

    • Audio for SoundMAX Integrated Digital Audio

  7. Double-click Audio Devices.

  8. Make sure that the device is enabled and configured correctly.

Problem: Recordings made by using the microphone input are not loud enough.

Solution: Make sure that MIC BOOST is turned on as follows:

  1. Double-click the volume icon in the task bar.

The Master out window appears.

  2. Click Options in the menu bar, and move the cursor to Properties; then click Properties. The Properties window appears.

  3. Click the Recording button and click OK.

  4. Click the Advanced button in the Master Record window. The Advanced Controls for Mic window appears.

  5. Check the Microphone Boost check box.

  6. Click Close to close the window.

Problem: A volume or balance slider cannot be moved.

Solution: The slider might be grayed out. This means that its position is fixed by the hardware and cannot be changed.

Problem: The mixer sliders do not stay in place when some audio applications are used.

Solution: It is normal for the sliders to change position when certain sound applications are used. The applications are aware of the mixer panel and are allowed to change the settings themselves. An example is the Windows Media Player. Usually the application has sliders available to control the sound from within the application.

Problem: The volume sliders do not all fit in the Mixer window.

Solution: Press Ctrl+S keys while the mixer is in focus, and toggle to a smaller size.

Problem: The balance slider cannot completely mute one channel.

Solution: The control is designed to compensate for minor differences in balance and does not completely mute either channel.

Problem: Under the Windows NT 4.0, Wave and MIDI sound cannot be heard simultaneously.

Solution: This is normal, for the following reasons:

  1. The Built-In Synthesizer Software transforms MIDI sound data into the Wave format and requires one digital audio data stream to play MIDI sound. So, there exists two digital audio data streams to play Wave and MIDI sound simultaneously.

  2. Multiple digital audio data streams are not supported by the Windows NT 4.0.

Problem: There is no volume control for MIDI sound within the mixer panel.

Solution: Use the hardware volume control or the Wave volume control on the mixer panel. This is because the Built-In Synthesizer Software does not support the control.

Problem: Under Windows NT 4.0, you cannot enter suspend or hibernation mode while MIDI sound is playing or paused.

Solution: This is not a problem. It occurs because the Built-in Synthesizer Software does not support the power management function while operating.


Battery problems

  • The battery pack cannot be fully charged by the power-off method in the standard charge time for your computer.

  • Your computer shuts down before the battery status indicator shows empty, -or- Your computer operates after the battery status indicator shows empty.

  • The operating time for a fully charged battery pack is short.

  • The computer does not operate with a fully charged battery pack.

  • The battery pack cannot be charged.

Problem: The battery pack cannot be fully charged by the power-off method in the standard charge time for your computer.

Solution: The battery pack might be over-discharged. Do the following:

  1. Turn off the computer.

  2. Make sure that the over-discharged battery pack is in the computer.

  3. Connect the ac adapter to the computer and let it charge.

If the optional Quick Charger is available, use it to charge the over-discharged battery pack.

If the battery pack cannot be fully charged in 24 hours, use a new battery pack.

Problem: Your computer shuts down before the battery status indicator shows empty, -or- Your computer operates after the battery status indicator shows empty.

Solution: Discharge and recharge the battery pack.

Problem: The operating time for a fully charged battery pack is short.

Solution: Discharge and recharge the battery pack. If your battery's operating time is still short, use a new battery pack.

Problem: The computer does not operate with a fully charged battery pack.

Solution: The surge protector in the battery pack might be active. Turn off the computer for one minute to reset the protector; then turn on the computer again.

Problem: The battery pack cannot be charged.

Solution: You cannot charge the battery when it is too hot. If the battery feels hot, remove it from the computer and allow it to cool to room temperature. After it cools, reinstall it and recharge the battery. If it still cannot be charged, have it serviced.


Battery and power

The following are the most common battery and power problems:

Battery

Power button

Standby and hibernation


Before troubleshooting

Use the following procedure as a starting point for diagnosing problems you are experiencing on your computer:

  1. Verify that the cables for all attached devices are connected correctly and securely.
  1. Verify that all attached devices that require ac power are connected to properly grounded, functioning electrical outlets.
  1. Verify that all attached devices are enabled in this basic input/output system (BIOS) settings of your computer.
  1. Go to the Troubleshooting charts and follow the instructions for the type of problem that you are experiencing. If the Troubleshooting charts do not help you resolve the problem, continue with the next step.
  1. Try using a previously captured configuration to see if a recent change to the hardware settings or software has caused a problem.
  1. Run diagnostic programs. If the diagnostic programs detect a hardware failure, contact the IBM HelpCenter.


Bluetooth problems

  • The Bluetooth(TM) indicator does not turn on.

  • You search for a Bluetooth-enabled device by double-clicking the Entire Bluetooth Neighborhood icon in My Bluetooth Places, but you cannot find anything.

  • Your computer is connected to a Bluetooth-enabled device, but you cannot use any of the services of that device.

  • You cannot pull a business card from the connected computer.

  • You cannot send a business card to the connected computer.

  • Your computer is connected to a Bluetooth-enabled computer that works as an FTP server, but you cannot see any files in the FTP server.

  • Your computer is connected to a Bluetooth-enabled computer, but you cannot gain access to the network.

  • Your computer cannot connect to a Bluetooth-enabled computer that uses serial port applications.

  • You cannot connect to any Bluetooth-enabled devices.

  • You cannot fax a document or graphic image through Microsoft Fax when using Bluetooth under Windows 2000.

  • Bluetooth serial port was disconnected automatically.

  • Hyperterminal is unusable.

  • You cannot power on the Bluetooth by pressing the Bluetooth power button immediately after resuming the computer from suspend or hibernation mode.

  • In Windows XP, Bluetooth does not function, and a yellow mark appears at the left side of the name "IBM Integrated Bluetooth" in the device listing on the Device Manager window.

Problem: The Bluetooth indicator does not turn on.

Solution: Press the Bluetooth power button to turn on the Integrated Bluetooth features. Whenever you start the computer or resume operation after it has been in standby or hibernation mode, you must press this button to turn on the Bluetooth features.

Problem: You search for a Bluetooth-enabled device by double-clicking the Entire Bluetooth Neighborhood icon in My Bluetooth Places, but you cannot find anything.

Solution: Make sure that the device to which you want to connect is enabled for the Bluetooth connection.

Make sure that no other Bluetooth-enabled device is searching for the device to which you want to connect. Simultaneous searching is not allowed in the Bluetooth connection.

After making sure of the above, turn the Bluetooth power button off and then turn on or restart your computer and search for the device again.

Problem: Your computer is connected to a Bluetooth-enabled device, but you cannot use any of the services of that device.

Solution: Click the My Bluetooth Places icon and then click the Entire Bluetooth Neighborhood icon again. If you cannot find the device, the device may have stopped responding. Make sure that the device is enabled for the Bluetooth connection. If you find the device, connect to the services you want.

Check your connection and make sure that no other computer is searching for the device trying to connect to any of the services on your computer. Simultaneous searching is not allowed in the Bluetooth connection.

If you are sure that the device is responding, turn the Bluetooth power button off and then turn on or restart your computer and try to connect again.

Problem: You cannot pull a business card from the connected computer.

Solution: Make sure that the connected computer has its own default business card application and that the card is ready for communication.

Make sure that the security settings on the connected computer allow you to download the business card.

Check your connection and make sure that the connected computer is not searching for your computer or connecting to any of the services on your computer. Simultaneous searching is not allowed in the Bluetooth connection.

Problem: You cannot send a business card to the connected computer.

Solution: Make sure that your computer has its own default business card application and that the card is ready for communication.

Make sure that the security settings on the connected computer allow you to upload your business card.

Check your connection and make sure that the connected computer is not searching for your computer or connecting to any of the services on your computer. Simultaneous searching is not allowed in the Bluetooth connection.

Problem: Your computer is connected to a Bluetooth-enabled computer that works as an FTP server, but you cannot see any files in the FTP server.

Solution: Check the newly shared files as follows:

  1. In the menu of the My Bluetooth Places, click View.

  2. Click Update. The status is updated in the window, so that you can check the newly shared files.

Make sure that the shared folder in the connected computer contains the files you are looking for.

Make sure that the security settings on the connected computer allow you to connect and view the files in the computer.

Check your connection and make sure that the connected computer is not searching for your computer or connecting to any of the services on your computer. Simultaneous searching is not allowed in the Bluetooth connection.

Problem: Your computer is connected to a Bluetooth-enabled computer, but you cannot gain access to the network.

Solution: Make sure that the Bluetooth-enabled computer is connected to a network.

Make sure that the connected computer has been set up to share its network connectivity and that the security settings allow you to connect and establish the remote network access.

Check your connection and make sure that the connected computer is not searching for your computer or connecting to any of the services on your computer. Multiple simultaneous searching is not allowed in the Bluetooth connection.

Problem: Your computer cannot connect a Bluetooth-enabled computer that uses serial port applications.

Solution: Re-establish a connection with the Bluetooth-enabled computer, and try the serial connection again.

Check your connection and make sure that the connected computer is not searching for another device or connecting to any of the services on your computer. Simultaneous searching is not allowed in the Bluetooth connection.

Problem: You cannot connect to any Bluetooth-enabled device.

Solution: Make sure that both your computer and the device are turned on and their Bluetooth antennas are enabled.

Turn the Bluetooth power button off and then turn on or restart your computer, and re-establish your connection to the device.

If the problem persists, re-install the Bluetooth software and reestablish your connection to the device.

Problem: You cannot fax a document or graphic image through Microsoft Fax when using Bluetooth under Windows 2000.

Solution: Make the following change in the settings of the client computer.

  1. Click Start -> Settings -> Control Panel.

  2. Double-click Fax.

  3. Click the Advanced Options tab.

  4. Click the Open Fax Service Management Console button.

  5. Click Devices and then select Bluetooth Fax Modem.

  6. Raise the send priority of this device to the top.

  7. Restart the computer.

Problem: Bluetooth serial port was disconnected automatically.

Solution: When any serial-based connection is established, an inactivity timer starts. If no application opens the port, the connection is ended automatically. This is a normal characteristic of the serial-based connection and is not a defect. If you need the Bluetooth serial port, just reconnect it.

Problem: Hyperterminal is unusable.

Solution: You cannot use Hyperterminal through the Bluetooth serial port on Windows 98SE or Windows Me. On these operating systems the Bluetooth serial port service uses on of the COM5 or above COM ports and Hyperterminal uses one of the ports between COM1 and COM4.

Problem: You cannot power on the Bluetooth by pressing the Bluetooth power button immediately after resuming the computer from suspend or hibernation mode.

Solution: Power on the Bluetooth before going into suspend or hibernation mode. If the Bluetooth is powered off before going into suspend or hibernation mode, the Windows operating system takes some time to enable the Bluetooth as a USB device.

Problem: In Windows XP, Bluetooth does not function, and a yellow mark appears at the left side of the name "IBM Integrated Bluetooth" in the device listing on the Device Manager window.

Solution: Do the following:

  1. Turn on Bluetooth by pressing the Bluetooth power button.

  2. Click Start -> Control Panel.

  3. Click the Performance and Maintenance icon.

  4. Click the System icon.

  5. Click the Hardware tab.

  6. Click the Device Manager button. The Device Manager window opens.

  7. Under "Universal Serial Bus Controllers," right-click IBM Integrated Bluetooth.

  8. Click Update Driver.... The Hardware Update Wizard opens.

  9. Make sure that "Install the software automatically (Recommended)" is selected, and click the Next> button. The Hardware Installation window opens.

  10. Click the Continue Anyway button.

  11. Click the Finish button.


CD drive problems

  • The CD drive does not work.

  • You hear a noise from the CD drive when the CD is spinning.

  • The CD tray does not open even if you press the CD eject button.

  • A CD cannot be read.

Problem: The CD drive does not work.

Solution: Make sure that the computer is turned on and a CD is properly loaded on the center pivot of the CD drive. (You should hear a click.)

Make sure that the CD drive connector is firmly connected to the computer. If you use a device that has a bay for installing a CD drive, make sure that the option is firmly connected to the computer and works properly.

Make sure that the CD drive tray is firmly closed.

In the startup menu in the BIOS Setup Utility, make sure that there is no exclamation point ! to the left of the CD drive. If there is such a mark, the CD drive is disabled. Clear the mark to enable the drive.

Make sure that the device drivers are correctly installed.

Problem: You hear a noise from the CD drive when the CD is spinning.

Solution: The CD drive cover might be bent. Have the CD drive serviced.

Problem: The CD tray does not open even if you press the CD eject button.

Solution: Insert the end of a straightened paper clip into the CD emergency eject hole and eject the CD tray.

Problem: A CD cannot be read.

Solution: Make sure that the CD is not dirty. If it is, clean it with a CD cleaner kit.

Make sure that the CD is not defective. If it is, try another CD.

Make sure that the CD is placed in the tray with the label side up. (You should hear a click.)

Make sure that the CD is in one of the following formats:

  • Music CD

  • CD-ROM or CD-ROM XA

  • Multisession photo CD

  • Video CD


Diagnosing problems

If your computer is not operating properly, you may be able to find the trouble by having PC-Doctor(R) for Windows(R) test components of your computer.

To start PC-Doctor for Windows and test your ThinkPad(R) computer, do as follows:

  1. Click this button:
  2. Click the button that looks like this: Quick Test Set button. . Read the test information carefully.

Note: Running the Quick Test Set can take up to 10 minutes. Make sure you have time to run this test; do not interrupt it while it is running.

  1. PC-Doctor for Windows will run a number of hardware tests and report its findings.

The Quick Test set runs many tests of critical hardware components, but not all of those in PC-Doctor for Windows diagnostic tests. If no problems are found in the Quick Test, consider running more of the tests in PC-Doctor for Windows.

If you are preparing to contact IBM for support, be sure to print the test log so that you can rapidly provide information to the help technician.


Display and multimedia devices

The following are the most common display and multimedia devices problems:

Computer screen

External monitor

Television

Audio

CD drive

DVD drive


Docking station or port replicator problems

  • The computer does not start when you try to turn it on, and does not respond when you try to resume operation.

  • The PC Card, a PCI card, or a device in the Ultrabay(TM) 2000 installed in a docking station is not recognized, and the PC Card slots cannot be used.

  • PC Cards in the docking station are not recognized after you warm-dock your computer to the docking station under Windows 95. PC Card modems, SCSI card, ATA cards, 3Com Combo Cards, or CardBus Cards in the docking station do not work after the computer returns from a power management mode under Windows 95.

  • The USB connector on the docking station does not work.

  • If you have been using Windows 2000 with the docking station attached to your computer, and you then detach the docking station while in standby mode, the system may not respond at all.

Problem: The computer does not start when you try to turn it on, and does not respond when you try to resume operation.

Solution: Make sure that:

  • The ac adapter is connected to the port replicator or docking station.

  • The power-on indicator of the port replicator or the docking station is on.

  • The computer is securely attached to the port replicator or docking station.

Problem: The PC Card, a PCI card, or a device in the Ultrabay 2000 installed in a docking station is not recognized, and the PC Card slots cannot be used.

Solution: Make sure that:

  • The power cord is connected to the docking station.

  • The docking indicator of the docking station is on.

  • The computer is securely attached to the docking station.

Problem: PC Cards in the docking station are not recognized after you warm-dock your computer to the docking station under Windows 95. PC Card modems, SCSI card, ATA cards, 3Com Combo Cards, or CardBus Cards in the docking station do not work after the computer returns from a power management mode under Windows 95.

Solution: Download the PCI.VXD file from the ThinkPad Web site before installing Windows 95. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want. To apply the file to your system, do as follows:

  1. Start Windows 95.

  2. At the DOS prompt, copy PCI.VXD to the SYSTEM directory under C:\WINDOWS. You receive a prompt asking whether it is okay to overwrite the file.

  4. Type Y and press Enter.

Problem: The USB connector on the docking station does not work.

Solution: If you are using Window 95 OSR 2.1, use the lower connector. The ThinkPad Dock does not support the upper connector under this version of Widows 95.

Problem: If you have been using Windows 2000 with the ThinkPad Dock attached to your computer, and you then detach the ThinkPad Dock while in standby mode, the system may not respond at all.

Solution: Reboot the system. To avoid recurrence of this problem, be sure to detach the ThinkPad Dock only when the system is operating or turned off, not when it is in standby mode.


Drivers and software

The following are the most common drivers and software problems:

Software

PC Card


Drives and other storage devices

The following are the most common drives and other storage devices problems:

Hard disk drive

Diskette drive


DVD drive problems

  • The DVD does not work.

  • You hear a noise from the DVD drive when the DVD is spinning.

  • The DVD tray does not open even if you press the DVD eject button.

  • The DVD cannot be read.

  • Playback of DVD is not smooth.

  • Other problems.

Problem: The DVD does not work.

Solution: Make sure that the computer is turned on and a DVD or a CD is properly loaded on the center pivot of the DVD drive. (You should hear a click.)

Make sure that the DVD drive connector is firmly connected to the computer. If you use an option that has a bay for installing a DVD drive, make sure that the option is firmly connected to the computer and works properly.

Make sure that the DVD drive tray is firmly closed.

Make sure that the device drivers are correctly installed.

Problem: You hear a noise from the DVD drive when the DVD is spinning.

Solution: The DVD drive cover might be bent. Have the DVD drive serviced.

Problem: The DVD tray does not open even if you press the DVD eject button.

Solution: Insert the end of a straightened paper clip into the DVD emergency eject hole and eject the DVD tray.

Problem: The DVD cannot be read.

Solution: Make sure that the DVD is not dirty. If it is, clean it.

Test another DVD. If the computer can read the other DVD, the first DVD might be defective.

Make sure that the DVD is loaded on the center pivot of the DVD drive with the label side up. (You should hear a click.)

Make sure that the DVD is in one of the following formats:

  • Music CD

  • CD-ROM or CD-ROM XA

  • Multisession photo CD

  • Video CD

  • DVD-ROM (DVD-video)

Problem: Playback of DVD is not smooth.

Solution: Depending on your computer and operating system, you might be able to select the Maximum Battery mode for the Intel(R) SpeedStep(TM) technology. If this setting is selected, this problem might occur. This mode is designed to achieve maximum battery life by switching the processor speed between the regular low speed and half of that speed, depending on how much the processor is used. If the use increases, Intel SpeedStep switches the processor speed to the lower speed. Operation in this mode can severely degrade the performance of the processor, and thus cause the playback of a DVD to be jerky.

To avoid or reduce this problem, you can choose any of three other modes of operation, as follows:

  • Maximum Performance: Keeps the processor speed high at all times.

  • Automatic: Switches the processor speed between high and low, depending on how much the processor is used. If the use increases, Intel SpeedStep switches the processor speed to high.

  • Battery Optimized Performance: Keeps the processor speed low at all times.

To choose a mode,

  1. Start the ThinkPad Configuration Program.

  2. Click Power Management.

  3. Click the Intel SpeedStep technology tab.

  4. From the list, select the mode you want.

  5. Click OK.

Problem: Other problems.

Solution: You can refer to the InterVideo WinDVD Help Guidelines to get information on the application for running DVD-ROM. To open the guidelines, click Start and move the cursor to Programs and InterVideo WinDVD; then click InterVideo WinDVD. You can click the ? on the InterVideo WinDVD window.


Error messages

Notes:

  1. In the charts, x can be any character.

  2. The version of PC-Doctor(R) referred to here is PC-Doctor for Windows(R).

  • 0175: Bad CRC1, stop POST task

  • 0187: EAIA data access error

  • 0188: Invalid RFID serialization information area or bad CRC2.

  • 0189: Invalid RFID configuration information area

  • 0190: Critical low-battery error

  • 0195: Security hardware tamper detected

  • 0196: Security hardware removed

  • 0197: Invalid Remote change requested.

  • 01C8: More than one modem devices are found. Remove one of them. Press <Esc> to continue.

  • 01C9: More than one Ethernet devices are found. Remove one of them. Press <Esc> to continue.

  • 0200: Hard disk error

  • 021x: Keyboard error

  • 0230: Shadow RAM error

  • 0231: System RAM error

  • 0232: Extended RAM error

  • 0250: System battery error

  • 0251: System CMOS checksum bad

  • 0260: System timer error

  • 0270: Real time clock error

  • 0271: Date and time error

  • 0280: Previous boot incomplete

  • 02D0: System cache error

  • 02F4: EISA CMOS not writable

  • 02F5: DMA test failed

  • 02F6: Software NMI failed

  • 02F7: Fail-safe timer NMI failed

  • The power-on password prompt

  • The hard disk password prompt

  • Hibernation error

  • Operating system not found.

  • Fan error

  • EMM386 Not Installed--Unable to Set Page Frame Base Address.

  • CardBus Configuration Error--Device Disabled.

Message: 0175: Bad CRC1, stop POST task

Solution: The EEPROM checksum is not correct (block #6). Have the computer serviced.

Message: 0187: EAIA data access error

Solution: The access to EEPROM is failed. Have the computer serviced.

Message: 0188: Invalid RFID serialization information area or bad CRC2.

Solution: The EEPROM checksum is not correct (block # 0 and 1, or block # 6). The system board should be replaced, and the box serial number needs to be reinstalled. Have the computer serviced.

Message: 0189: Invalid RFID configuration information area

Solution: The EEPROM checksum is not correct (block # 4 and 5). The system board should be replace, and the UUID needs to be reinstalled. Have the computer serviced.

Message: 0190: Critical low-battery error

Solution: The computer turned off, because the battery is low. Connect the ac adapter to the computer and charge the battery, or replace the battery with a fully charged one.

Message: 0195: Security hardware tamper detected

Solution: The Security Chip has been attached to or replaced on your computer. Open the BIOS Setup Utility (using the supervisor password), and clear the Security Chip. Refer to Setting the security chip. If it does not solve this problem, have the computer serviced.

Message: 0196: Security hardware removed

Solution: The Security Chip has been removed from your computer. Clear the Security Chip, using the BIOS Setup Utility by entering supervisor password. Refer to Setting the security chip. If it does not solve this problem, have the computer serviced.

Message: 0197: Invalid Remote change requested

Solution: The remote configuration for the Security Chip has failed. Confirm the operation and try again.

Message: 01C8: More than one modem devices are found; only one is allowed. Remove one of them. Press <Esc> to continue.

Solution: Remove either an modem Mini-PCI Card or an modem Daughter Card. Otherwise, press Esc to ignore the warning message. If it does not solve this problem, have the computer serviced.

Message: 01C9: More than one Ethernet devices are found; only one is allowed. Remove one of them. Press <Esc> to continue.

Solution: Remove either an Ethernet Mini-PCI Card or an Ethernet Daughter Card. Otherwise, press Esc to ignore the warning message. If it does not solve this problem, have the computer serviced.

Message: 0200: Hard disk error

Solution: The hard disk is not working. Make sure the hard disk drive is attached firmly. Run the BIOS Setup Utility; then make sure the hard disk drive is not disabled in the Startup menu.

Message: 021x: Keyboard error

Solution: Make sure that there are no objects placed on the keyboard, or if you have one, the external keyboard. Turn off the computer, and turn off all attached devices. Turn on the computer first; then turn on the attached devices.

If you still see the same error code, do the following:

If an external keyboard is connected, do the following:

  • Turn off the computer and disconnect the external keyboard; then turn on the computer. Make sure that the built-in keyboard operates correctly. If it was, have the external keyboard serviced.

  • Make sure that the external keyboard is connected to the correct connector.

Test the computer by using PC-Doctor.

  • If the computer stops during the test, have the computer serviced.

Message: 0230: Shadow RAM error

Solution: The shadow RAM failed. Test your computer's memory with PC-Doctor. If you added a memory module just before turning the computer on, reinstall it. Then test the memory with PC-Doctor.

Message: 0231: System RAM error

Solution: The system RAM failed. Test your computer's memory with PC-Doctor. If you added a memory module just before turning the computer on, reinstall it. Then test the memory with PC-Doctor.

Message: 0232: Extended RAM error

Solution: The extended RAM failed. Test your computer's memory with PC-Doctor. If you have increased memory just before turning the computer on, reinstall it. Then test the memory with PC-Doctor.

Message: 0250: System battery error

Solution: The backup battery, which is used to preserve the configuration information, such as the date and time, while the computer is tuned off, is depleted. Replace the battery and run BIOS Setup Utility to verify the configuration. If you still have a problem, have the computer serviced.

Message: 0251: System CMOS checksum bad

Solution: The system CMOS might have been corrupted by an application program. The computer uses the default settings. Run BIOS Setup Utility to reconfigure the settings. If you still see the same error code, have the computer serviced.

Message: 0260: System timer error

Solution: Have the computer serviced.

Message: 0270: Real time clock error

Solution: Have the computer serviced.

Message: 0271: Date and time error

Solution: Neither the date nor the time is set in the computer. Set the date and time, using the BIOS Setup Utility.

Message: 0280: Previous boot incomplete

Solution: Your computer was previously unable to complete the boot process.

Turn the computer off; then turn it on to start the BIOS Setup Utility. Verify the configuration and then restart the computer either by choosing the Exit Saving Changes option under the Restart item or by pressing F10.

If you still see the same error code, have the computer serviced.

Message: 02D0: System cache error

Solution: The cache is disabled. Have the computer serviced.

Message: 02F4: EISA CMOS not writable

Solution: Have the computer serviced.

Message: 02F5: DMA test failed

Solution: Have the computer serviced.

Message: 02F6: Software NMI failed

Solution: Have the computer serviced.

Message: 02F7: Fail-safe timer NMI failed

Solution: Have the computer serviced.

Message: The power-on password prompt

Solution: A power-on password or a supervisor password is set. Type the password and press Enter to use the computer (refer to Using passwords). If the power-on password is not accepted, a supervisor password might have been set. Type the supervisor password and press Enter. If you still see the same error message, have the computer serviced.

Message: The hard disk password prompt

Solution: A hard-disk password is set. Type the password and press Enter to use the computer (refer to Hard disk passwords).

If you still see the same error message, have the computer serviced.

Message: Hibernation error

Solution: The system configuration changed between the time your computer entered hibernation mode and the time it left this mode, and your computer cannot resume normal operation.

  • Restore the system configuration to what it was before your computer entered hibernation mode.

  • If the memory size has been changed, re-create the hibernation file.

Message: Operating system not found.

Solution: Verify the following:

  • The hard disk drive is correctly installed.

  • A startable diskette is in the diskette drive

If you still see the same error message, check the boot sequence using BIOS Setup Utility.

Message: Fan error

Solution: Cooling fan has failed. Have the computer serviced.

Message: EMM386 Not Installed--Unable to Set Page Frame Base Address.

Solution: Edit C:\CONFIG.SYS and change a line from

device=C:\WINDOWS\EMM386.EXE RAM

to

device=C:\WINDOWS\EMM386.EXE NOEMS

and save this file.

Message: CardBus Configuration Error--Device Disabled.

Solution: Press F1 to go to IBM BIOS Setup Utility. Press F9 and then Enter to load the default setting.

Press F10 and then Enter to restart the system.


Ethernet problems

  • Your computer cannot connect to the network.

  • The adapter stopped working without apparent causes.

  • The connection fails or errors occur when you use the 100 Mbps speed.

  • The Wake on LAN(R) feature is not working

  • Resuming normal operation from hibernation or standby mode takes a long time.

Problem: Your computer cannot connect to the network.

Solution: Make sure that:

  • The cable is installed properly.

    The network cable must be securely connected to both the Ethernet connector of your computer and the RJ45 connector of the hub. The maximum allowable distance from the computer to hub is 100 meters. If the cable is connected and the distance is within acceptable limits but the problem persists, try a different cable.

  • You are using the correct device driver.

    Open the System Properties window by clicking here , and click the Device Manager tab. If an x mark is to the left of the adapter name under Network adapter, you might be using an incorrect driver, or a driver that is not enabled. To update the driver, do as follows:

  1. Right-click the adapter entry, then click Properties. (In Windows(R) 98, highlight the adapter, and then click the Properties button.) The adapter properties window opens.

  2. Click the Driver tab.

  3. Click the Update Driver... button. The Update Device Driver wizard appears. Follow the instructions on the screen.

  • The switch port and the adapter have the same duplex setting.

    If you configured the adapter for full duplex, make sure the switch port is also configured for full duplex. Setting the wrong duplex mode can degrade performance, cause data loss, or result in lost connections.

  • You have installed all of the networking software that is necessary for your network environment. Check with your LAN administrator for the necessary networking software.

If you are using Windows NT(R), make sure the following after verifying the above items:

  • If your computer is connecting to a NetWare network, check your frame type and verify that NetWare client or server software has been installed.

Problem: The adapter stopped working without apparent causes.

Solution: The network driver files may be corrupt or missing. Update the driver by referring to the "Cause and action" description for the procedure to make sure that the correct device driver is installed in the preceding problem.

Problem: The connection fails or errors occur when you use the 100 Mbps speed.

Solution:

  • Use Category 5 wiring and make sure that the network cable is securely connected.

  • Connect to a 100 BASE-TX hub/switch (not 100 BASE-T4).

Problem: The Wake on LAN (WOL) feature is not working

Solution:

  • Make sure that WOL is enabled in the BIOS Setup Utility.

  • If it is, check with your LAN administrator for the necessary settings.

Problem: Resuming normal operation from hibernation or standby mode takes a long time.

Solution: It is not a problem. If you have not connect the network cable, the computer queries the Ethernet until the time-out timer is reached. Connect the network if you want to use the Ethernet.


Frequently asked questions

This section addresses frequently asked questions. If your question is listed here, click it and follow the instructions that appear.

How can I stop the screen from blanking?

How can I set the infrared port?

How can I set the serial connector?

How can I switch the TrackPoint(R) and mouse?

How do I make the text on my screen larger?

How can I set the display resolution?

How can I set the external monitor?

How can I maximize battery life?

How can I install the operating system?

How can I recover the preinstalled software and drivers?

How do I enable wireless LAN connection, and how do I switch between wired Ethernet and wireless?

To solve the problems discussed in this section, use the ThinkPad(R) Configuration Program. To start the ThinkPad Configuration Program, click the icon.

You can also open the ThinkPad Configuration Program as follows:

  1. Click Start.
  2. Move the cursor to Programs and ThinkPad; then click ThinkPad Configuration.

My screen keeps blanking when I do not want it to. How can I stop this?

You can disable any system timers, such as the LCD turn-off timer or the blank timer, with the ThinkPad Configuration Program.

  1. Start the ThinkPad Configuration Program.
  2. Click the Power Management button; then click the Power Schemes tab.
You can disable the system timers by selecting never rather than a specific time.

How can I use my infrared port as a communication port?

If the infrared port is disabled, you must enable it before you can use it. To enable it, do as follows:

  1. Save your work and quit any program you are using.
  2. Start the ThinkPad Configuration Program.
  3. Click the Infrared button.
  4. In the Infrared list box, select Enable .
    5. A Warning window may appear, telling you that the hardware resource is being used by an other device.
  5. Click Disable Device.
    6. Another Warning window prompts you to restart your computer.
    If you are using Windows 98, mark the Enable infrared communication check box.
  6. Click OK. The computer restarts.

Notes:

  1. If your infrared port is already enabled when you check it, you can use it immediately without changing any settings.
  2. If you need to free resources for the infrared port for any other communication device, you can disable your computer's serial connector.
    3. After your infrared port is enabled, you can use it as a communication port. If it does not work properly, the problem may be in your communication software or the device that you are trying to communicate with. If the other device appears to be working properly, check the online help for your communication software.

How can I use my serial connector as a communication device?

If the serial connector is disabled, you must enable it before you can use it. To enable it, do as follows:

  1. Save your work and any program you are using.
  2. Start the ThinkPad Configuration Program.
  3. Click the Serial Port button.
  4. From the Serial port list box, select Enable .
    5. A Warning window may appear, telling you that the hardware resource is being used by another communication device.
  5. Click Disable Device.
    6. Another Warning window prompts you to restart your computer.
  6. Click OK. The computer restarts.

Notes:

  1. If your serial connector is already enabled when you check it, you can use it immediately without changing any settings.
  2. If you need to free resources for the serial connector for any other communication device, you can disable your computer's infrared port.
    3. After your serial connector is enabled, you can use it as a communication port. If it does not work properly, the problem may be in the communication software application or the cable or device attached to the serial connector. If the cable and the attached device appear to be working properly, check the online help system for your communication software.

How can I use an external mouse when I am at my desk, but then use the TrackPoint when I am away from my desk?

The TrackPoint has an "auto disable" setting that disables it when you turn on or restart the computer with an external mouse attached. Remove the mouse and restart the computer; then TrackPoint will be enabled.

Note:

You can set up the TrackPoint manually with the ThinkPad Configuration Program as follows:

  1. Start the ThinkPad Configuration Program.

  2. Click the TrackPoint button.

  3. Select E nable, Disable, or Auto disable from the TrackPoint list box.

  4. Click OK.

How do I make the text on my screen larger?

You can change the display settings of your screen to make text easier to read. See Changing display settings.

Why do I not get the highest possible resolution out of my external monitor when I use the computer display and the external monitor at the same time?

You can set any resolution for either the computer display or the external monitor. When you use both at the same time, the resolution of both is the same. If you set a higher resolution for the computer display, you can see only part of the screen at a time. You can see other parts by moving the image with the TrackPoint or another pointing device.

You can change the display output to the computer display, the external monitor, or both with the Display Device buttons of the ThinkPad Configuration Program or with Fn+F7.

To set up the external monitor, make sure that the display driver is installed correctly, by doing the following:

Open the Display Properties window.

For Windows XP, Windows 2000, and Windows 98:

  1. Click the Settings tab.

  2. Click Advanced...

  3. Click the Adapter tab.

    Make sure that "ATI Mobility Radeon" is shown in the adapter information window.

  4. Click OK.

    If you are not sure that the display driver is installed correctly, reinstall it.

For Windows NT(R):

  1. Click the Settings tab.

  2. Click Display Type...

    Make sure that "ATI Mobility Radeon" is shown in the Display Type window.

  3. Click OK.

    If you are not sure that the display driver is installed correctly, reinstall it.

Then, make sure that an appropriate monitor type is selected, by doing the following:

Open the Display Properties window.

For Windows XP and Windows 2000:

  1. Click the Settings tab.

  2. Click Advanced...

  3. Click the Monitor tab.

    Check the monitor information window to make sure that the monitor type is correct. If it is, click OK to close the window; otherwise do as follows:

  4. Click Properties.

  5. Click the Driver tab.

  6. Click Update Driver....

    The Hardware Update Wizard appears.

  7. Select Install from a list or specific location (Advanced), and then click Next.

  8. Select Don't search. I will choose the driver to install, and then click Next.

  9. After updating the driver, click OK to close the Properties window.

  10. Set Colors and Screen area in the Display Properties window.

  11. Click OK.

For Windows 98:

  1. Click the Settings tab.

  2. Click Advanced...

  3. Click the Monitor tab.

    Check the monitor information window to make sure that the monitor type is correct. If it is, click OK to close the window; otherwise do as follows:

  4. Click Change...

    The Update Device Driver Wizard appears.

  5. Click Next, and follow the instructions on the screen by selecting Display a list of all the drivers in a specific location, so you can select the driver you want, and then Show all hardware.

  6. Select Manufacturers and Models for your monitor, and follow the instructions on the screen.

  7. After updating the driver, click OK to close the Properties window.

  8. Set Colors and Screen area in the Display Properties window.

  9. Click OK.

For Windows NT:

  1. Click the Settings tab.

  2. In the Display Properties window, set Colors and Screen area.

  3. In the Settings window, click the Test button.

    Make sure that the test screen is displayed on the external monitor.

  4. Click OK.

How can I set up the external monitor if the Windows Plug and Play feature does not detect it?

Do as follows:

  1. Make sure that the external monitor is a DDC or Plug and Play monitor (see the manual for the external monitor).
  2. Make sure you are using a D-Sub (Subminiature-D) connector cable.
  3. Double-click My Computer, Control Panel, and then Display. The Display Properties window appears.
  1. Click the Settings tab.
  2. Click the Advanced... button.
  3. Click the Monitor tab.
  4. Make sure the Automatically detect Plug & Play monitors check box is marked.
    5. If it is not, mark it, and click OK to close the window.
  5. Restart the computer; then make sure the Plug and Play feature detects the monitor.
  1. If your monitor is still not recognized, click the Change... button. The Update Device Driver Wizard window appears.
  2. Check if the display driver information in the window is correct. If necessary, install the display driver by following the instructions on the screen.
  3. Click the OK button.

How can I maximize battery life?

To maximize battery life, do the following:

  • Use the battery until the charge is completely depleted--until the battery and power indicators flash in unison.

  • Recharge the battery completely before using it. The battery is fully charged if the battery indicator shows green when the ac adapter is plugged in.

  • For a new battery or a battery that you have not used recently, do one of the following:

    1. Recharge the battery completely before using it. The battery is fully charged when the ac adapter is plugged in and the battery indicator is green.
    2. Use the battery until the charge is completely depleted--until that is the battery and power indicators flash in unison).

  • Always use power management features such as power modes, screen blank, standby, and hibernation.

    For more detailed information about power management features, refer to Extending battery life.

How can I load a different operating system on my computer?

-Or-

Where can I get ThinkPad device drivers for this operating system?

Refer to Installing a new operating system. ThinkPad device drivers are provided in the C:\IBMTOOLS\DRIVERS directory on your hard disk drive.

Note: If your hard disk drive does not contain device drivers, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Before installing a new operating system, do the following:

  1. Print "Installing a new operating system."
  2. Make a backup copy of the device drivers and applications for your new operating system.
  3. Make a DOS system diskette that has the DOS FDISK.COM and FORMAT.COM utilities and the CD-ROM device driver for DOS.

How do I recover my pre-installed software and drivers?

Refer to Recover pre-installed software.

How do I enable wireless LAN connection, and how do I switch between wired Ethernet and wireless?

For enabling wireless LAN connections, refer to the instructions in Making wireless LAN connections. For switching between wired Ethernet and wireless, refer to Access Connections.


A diskette drive problem

  • The diskette drive does not work.

Problem: The diskette drive does not work.

Solution: In the startup menu in the BIOS Setup Utility, make sure that there is no exclamation point ! to the left of the Removal Devices. If there is such a mark, the diskette drive is disabled. Clear the mark to enable the drive.


Hard disk drive problems

  • The hard disk drive makes a rattling noise intermittently.

  • The hard disk drive does not work.

Problem: The hard disk drive makes a rattling noise intermittently.

Solution: The rattling noise might be heard:

  • When the hard disk drive starts accessing the data or when it stops.

  • When you carry the hard disk drive.

  • When you carry your computer.

This is a normal characteristic of a hard disk drive and is not a defect.

Problem: The hard disk drive does not work.

Solution: In the startup menu in the BIOS Setup Utility, make sure that there is no exclamation point ! to the left of the hard disk drive. If there is such a mark, the hard disk drive is disabled. Clear the mark to enable the drive.


Hints and tips for DOS

You can use the ThinkPad(R) Configuration Program from the DOS prompt. To start the program, do the following:

  1. Click Start; then click the DOS Prompt icon.
    2. The DOS prompt window appears.
  1. Type PS2 ? at the DOS prompt.
    2. The ThinkPad Configuration online help window appears:

C:\>PS2 ?

(C) Copyright IBM Corp. 1993, 2001. All rights reserved.
    US Government Users Restricted Rights - Use, duplication
    or disclosure restricted by GSA ADP Schedule Contract
    with IBM Corp.

Command Syntax:  PS2   [Parameter1] [Parameter2] [Parameter3]

Following are available [Parameter1].
For the complete command syntax, type 'PS2 ?
[Parameter]'.

1.Power Management related

  1. Select an item from the menu, and follow the instructions on the screen to set the features.
    2. You can also create a batch file to match your operating environment. For example, here is a batch file you might create to extend your battery's operating time:

    @Echo Off

    Rem SAMPLE:Set the parameters to provide maximum power utilization.

    Rem =============================================================

    PS2 PMode Custom DC                   > Nul
    PS2 LCd 3                             > Nul
    PS2 DISK 3                            > Nul
    PS2 POwer 5                           > Nul
    PS2 SPeed Fixed Slow                  > Nul
    PS2 IR Disable                        > Nul


Hints and tips for Windows NT

  • For Windows NT(R) 4.0, hibernation is not supported if the drive is formatted by the Windows NT File System (NTFS).

  • If you insert a PC Card into the PC Card slot, there might be an X mark in the list of the card information in the PC Card [PCMCIA] Device window in the Control Panel. The X does not affect any function.


Hints and tips

This section provides hints and tips, as well as information on limitations. For information on a specific operating system, click one of the following:

Windows NT(R)

DOS

Other information is shown below.

Creating a hibernation file

Using power management

Using the USB connector

Using the DVD-ROM drive

Using a PC Card

Using a second CardBus Card

Using a microphone

Using the wireless feature with a Bluetooth option

Using the hard disk drive with a storage capacity of 48GB

Creating a hibernation file

Attention: When you start the system with the Hibernation Utility for Stand-alone Boot diskette, be sure not to choose the Create Partition option. If you do so, your hard disk will quit working, and you will have to take it to and IBM reseller or marketing representative for reformatting. Thus all of the data on the hard disk will be lost.

To create a hibernation file, do the following procedure.

For Windows XP:

  1. Click Start -> Control Panel.

  2. Click Performance and Maintenance.

  3. Click Power Options.

  4. Click the Hibernate tab.

  5. Click the Enable hibernation check box.

  6. Click OK.

For Windows 2000:

  1. Click Start -> Settings -> Control Panel.

  2. Click Power Options.

  3. Click the Hibernate tab.

  4. Click the Enable hibernation check box.

  5. Click OK.

The following instructions are for those using operating systems other than Windows XP and Windows 2000:

If you want to suspend operation but keep your work exactly as it is, so that you can resume operations at the same point later, you can put your computer in hibernation mode.

To use the hibernation mode, you need to create a hibernation file with ThinkPad Configuration Program. This file can be created on a single-partitioned or multiple-partitioned hard disk drive, and is subject to the following restrictions:

  • It must be created on the primary hard disk drive.

  • All partitions must be formatted before you create the hibernation file.

  • The partitions must be formatted in either FAT16 or FAT32; you cannot use NTFS and HPFS.

Note on using the multiple-partitioned HDD

When using the following utilities, be careful to create and delete the hibernation files in a partition.

Hibernation Utility for Windows

If you create the hibernation file in a hidden partition on your hard disk, the hibernation utility will not detect it. Therefore, you can delete the hibernation file only by starting the utility from that hidden partition. Then, if you start the utility from any other partition, a redundant hibernation file will be created in that partition.

Hibernation Utility for Stand-alone Boot

This utility enables you to create and delete the hibernation files only in the primary partition (drive C). This utility, as in the Windows version, does not detect the hibernation files in a hidden partition. Therefore it should be run from the partition that the hibernation file is in.

Using power management

Suppose you set the alarm to take the following actions:

Notification: Display message.

Power level: When the alarm goes off, the LCD turns off.

Now if your computer enters standby or hibernation mode when the battery is low, but the alarm message has not yet appeared, the message will appear when the computer resumes. To resume normal operation, press OK.

Note: You can set the alarm action as follows:

  1. Start the ThinkPad Configuration Program.

  2. Click Power Management.

  3. Click the Alarm tab.

  4. Select the Low Battery Alarm check box, the Critical Low Battery Alarm check box, or both.

  5. Set the percentage of the power level.

  6. Click the Alarm Action... button. You can set the alarm action in the next window.

For more information, refer to "Battery MaxiMiser".

Using the USB connector

If your computer tries to enter standby mode but the request is rejected, the device in the USB connector might be disabled. If this occurs, do a hot-unplug-and-plug operation for the USB device.

Using the DVD-ROM drive

Do not switch mode from the LCD to an external monitor while viewing a DVD with video content, such as a DVD movie or a business presentation. Change the display mode before you open an MPEG file to play.

Using a PC Card

If you are communicating with a PC Card modem or inserting a PC Card in a PC Card slot, do not put your computer into standby mode or hibernation mode. You must first stop the PC Card.

Note:To stop the PC Card in the PC Card (PCMCIA) Properties window, do as follows:

  1. Click Start, move the cursor to Settings, and click Control Panel. (For Windows XP, click Start and then click Control Panel.)

  2. Double-click PC Card (PCMCIA).

  3. From the list, select the card you are stopping.

  4. Click the Stop button.

If you remove a communication PC Card from the PC Card slot and then reinsert it later, it might not work correctly. You need to restart your computer.

If you install a PC Card after removing an IDE device of the ThinkPad Dock, shipped as an option, and then later reinsert the device, the card might lose its resource name for working. A secondary master IDE device always uses IRQ 15, but after the IDE device is replaced with a diskette drive, IRQ 15 is free, and Windows 95 or Windows 98 assigns it to a new PC Card. But IRQ 15 must be taken over with IDE2 when an IDE device is reinserted.

Using a second CardBus Card

If a CardBus Card is already configured in your computer, you must configure a second CardBus manually by using the Device Manager. To get to the Device Manager, click the System icon in the Control Panel.

Using a microphone

The microphone jack can support an electrically powered condenser microphone by supplying power from your computer.

If you want to use a microphone that does not get power from the computer, such as a microphone powered by its own battery, refer to the specifications provided by the microphone manufacturer to determine whether the jack is suitable.

Using the wireless feature

If you use the wireless feature (the IEEE 802.11b standard) of your computer simultaneously with a Bluetooth option, the data transmission speed can be delayed and the performance of the wireless feature can be degraded.

For Windows 98, Windows 98 SE, or Windows Me

FAT32 supports drives up to 4 terabytes in size. However, for reasons unrelated to the OS, problems may occur, and so we suggest using a hard disk drive divided into partitions each of which is less than 32GB in size.

For Windows NT 4.0

FAT32 supports drives up to 4 terabytes in size. However, for reasons, unrelated to the OS, problems may occur, and so we suggest using a hard disk drive divided into partitions each of which is less than 32GB in size.

The DOS session of the Windows NT Installer does not support FAT32. If you install Windows NT from DOS, you will need at least more than one FAT16 partition.

To use a hard disk larger than 8GB effectively under Windows NT, you need to apply Windows NT 4.0 Service Pack 3 or a later version.

There are no size limitations on the use of Windows NT NTFS.

For Windows XP or Windows 2000

FAT32 supports drives up to 4 terabytes in size. However, for reasons unrelated to the OS, problems may occur, and so we suggest using a hard disk drive divided into partitions each of which is less than 32GB in size.

There are no size limitations on the use of Windows XP NTFS or Windows 2000 NTFS.


Infrared port problems

  • Your computer cannot communicate with other devices through the infrared port.

  • Incorrect data is sent between your computer and a communicating device.

  • You cannot use DMA channels for both the parallel connector and the infrared port.

Problem: Your computer cannot communicate with other devices through the infrared port.

Solution: Make sure the following:

  • The infrared port is enabled, using the ThinkPad Configuration Program.

  • The communication speeds are the same.

  • The infrared ports are clean.

  • No objects are between the computer and the communicating device.

  • The distance and angle between your computer and the device are within the specified ranges.

  • You are not operating under direct sunlight.

  • The infrared port is directly facing the other communication port.

  • The communication application running on your computer is compatible with that running on the other computer. Refer to the application manuals for more information.

Problem: Incorrect data is sent between your computer and a communicating device.

Solution: Make sure that:

  • The distance and angle between your computer and the device are within the ranges.

  • The communication speeds are the same.

  • There are no other devices that radiate infrared rays, such as remote-controlled devices or wireless headphones, near your computer or the communicating device.

  • You are not operating under direct sunlight.

  • No fluorescent lamps are near your computer or the communicating device.

Problem: You cannot use DMA channels for both the parallel connector and the infrared port.

Solution: If you enable ECP and choose DMA3 (the default value) for the parallel connector, you might be asked whether you want to disable DMA for the infrared port. To use DMA channels for both the parallel and infrared ports, do the following:

  1. Click OK to disable DMA for the infrared port.

  2. Close a parallel port panel.

  3. Click the Infrared device button to open the infrared panel.

  4. Choose DMA0 or DMA1 for the infrared port on the panel.

  5. If you see the panel asked whether you want to disable DMA for an audio device, click OK.


Keyboard problems

  • The cursor does not move after the computer returns from one of the power management modes.

  • All or some keys on the keyboard do not work.

  • A number appears when you type a letter.

  • All or some keys on the external numeric keypad do not work.

  • All or some keys on the external keyboard do not work.

Problem: The cursor does not move after the computer returns from one of the power management modes.

Solution: Reboot the computer. Make sure you followed the instructions correctly when you installed Windows with the Advanced Power Management (APM) option.

Note: The APM option is supported in Windows(R) 95, Windows 98, and Windows NT(R).

Problem: All or some keys on the keyboard do not work.

Solution: If the problem occurred immediately after the computer returned from standby mode, enter the power-on password if one has been set.

If an external keyboard is connected, the numeric keypad on your computer does not work. Use the numeric keypad on the external keyboard.

If an external numeric keypad or a mouse is connected:

    1. Turn off the computer.

    2. Remove the external numeric keypad or the mouse.

    3. Turn on the computer and try using the keyboard again.

If the keyboard problem is resolved, carefully reconnect the external numeric keypad, external keyboard, or mouse, making sure that you have seated the connectors properly.

If keys on the keyboard still do not work, have the computer serviced.

Problem: A number appears when you type a letter.

Solution: The numeric lock function is on. To disable it, press and hold Shift; then press NumLk.

Problem: All or some keys on the external numeric keypad do not work.

Solution: Make sure that the external numeric keypad is correctly connected to the computer.

Problem: All or some keys on the external keyboard do not work.

Solution: If you are using the docking station or the port replicator, make sure that the keyboard cable is correctly connected to the keyboard connector.

If the connection is correct, disconnect the cable and make sure that the built-in keyboard operates properly. If the built-in keyboard works, there is a problem with the external keyboard. Try using a different external keyboard.


Keyboard and other pointing devices

The following are the most common keyboard and other pointing devices problems:

TrackPoint

Keyboard


Spills on the keyboard

With a mobile computer, there are increased chances of spilling liquids on the keyboard. Because most liquids conduct electricity, liquid spilled on the keyboard could create numerous short circuits, potentially causing irreparable damage to your computer.

If you spill something on your computer:

Attention: Be sure that no liquid creates a short circuit between you and the ac adapter (if in use). Although you might lose some data or work by turning off the computer immediately, leaving the computer on might make your computer unusable.

  1. Carefully unplug the ac adapter immediately.
  2. Turn off the computer immediately. If the computer does not turn off, remove the battery. The more quickly you stop the current from passing through the computer the more likely you will reduce damage from short circuits.
  3. Carefully, but firmly, hold the computer display and the keyboard, and turn the computer upside down. Shake the computer so that the liquid is expelled from the keyboard.
  4. Place the computer upside down, with the keyboard on an absorbent surface. Place the keyboard on a flat surface, such as a chair seat with the display hanging over the front edge of the seat.
  5. Wait until you are certain that all the liquid is dry before turning on your computer.

Note: If you want to replace your keyboard, you can purchase a new one.


Computer screen problems

  • The screen is blank.

  • The screen is unreadable or distorted.

  • Incorrect characters appear on the screen.

  • The screen stays on even after you turn off your computer.

  • Missing, discolored, or bright dots appear on the screen every time you turn on your computer.

Problem: The screen is blank.

Solution: Do the following:

  • Press Fn+F7 to bring up the image.

  • If you are using the AC adapter, or using the battery and the battery status indicator is on (is green), press Fn+Home to make the screen brighter.

  • If the standby status indicator is on (is green), press Fn to resume from the standby mode.

  • If you still have the problem persists, do the Solution in the problem below.

Problem: The screen is unreadable or distorted.

Solution: Make sure that:

  • The display device driver is installed correctly.

  • The display resolution and color depth are correctly set.

  • The monitor type is correct.

To check these settings, do as follows:

Open the Display Properties window.

For Windows(R) 2000 and Windows XP:

  1. Click the Settings tab.

  2. Check whether the color depth and resolution are correctly set.

  3. Click Advanced...

  4. Click the Adapter tab.

  5. Click the Properties button. Check the "Device status" box and make sure the device is working properly. If not, click the Troubleshooter button.

  6. Click the Monitor tab.

  7. Click the Properties button. Check the "Device status" box and make sure the device is working properly. If not, click the Troubleshooter button.

For Windows 98:

  1. Click the Settings tab.

  2. Check if the color depth and resolution are correctly set.

  3. Click Advanced...

  4. Click the Adapter tab.

  5. Make sure "ATI Mobility Radeon" is shown in the adapter information window.

  6. Click the Monitor tab.

  7. Make sure the information is correct.

For Windows NT:

  1. Click the Settings tab.

  2. Check whether the color depth and resolution are correctly set.

  3. Click Display Type...

  4. Make sure "ATI Mobility Radeon" is shown in the Display Type window.

  5. Click OK.

  6. Click the Test button in the Settings window.

  7. Make sure the output is displayed correctly.

Problem: Incorrect characters appear on the screen.

Solution: Did you install the operating system or application program correctly? If they are installed and configured correctly, have the computer serviced.

Problem: The screen stays on even after you turn off your computer.

Solution: Press and hold the power switch for 4 seconds or over to turn off your computer; then turn it on again.

Problem: Missing, discolored, or bright dots appear on the screen every time you turn on your computer.

Solution: This is an intrinsic characteristic of the TFT technology. Your computer's display contains multiple thin-film transistors (TFTs). A small number of missing, discolored, or bright dots on the screen might exist all the time.


Modem problems

  • Your modem application does not work with the built-in modem.

  • Your modem application does not work in the Windows(R) 95 environment.

  • Your PC Card modem does not work.

Problem: Your modem application does not work with the built-in modem.

Solution: Make sure that the internal modem port is enabled by opening the Device Manager window and running the Modem Wizard or by opening the ThinkPad(R) Configuration Program and doing as follows:

  1. Click Start.

  2. Click Programs (in Windows(R) XP, All Programs)-->ThinkPad-->ThinkPad Utilities-->ThinkPad Configuration.

  3. Click Internal Modem.

  4. Select Enable.

  5. Click OK.

If the modem does not work correctly, refer to Resolve Conflicts. If the modem works correctly, set the following modem settings by doing the following:

For Windows 95, Windows 98, or Windows NT(R):

  1. Click Start.

  2. Move the cursor to Settings and Control Panel.

  3. Click Control Panel, and then double-click Modem. The name of the modem installed in your computer is highlighted.

  4. Click Properties, not Dialing Properties.

  5. Click the Connection tab.

  6. Clear the Wait for dial tone before dialing check box.

  7. Click Advanced.

  8. Clear the Use error control check box.

  9. Select the Use flow control check box, and make sure that Hardware (RTS/CTS) is selected.

  10. Click OK to close the window.

  11. Click OK and return to the Modem Properties window.

  12. Click Dialing Properties, fill in all boxes, and click either Tone dialing or Pulse dialing.

    Note: Most telephones today use tone dialing, on which each button produces a different tone, instead of pulse dialing.

  13. Click OK.

  14. Click Close to close the window.

  15. Close all active windows.

For Windows(R) 2000:

  1. Click Start.

  2. Move the cursor to Settings and Control Panel.

  3. Click Control Panel, and then double-click Phone and Modem Options.

  4. Click the Modem tab. The name of the modem installed in your computer is highlighted.

  5. Click Properties.

  6. Click the General tab.

  7. Clear the Wait for dial tone before dialing check box.

  8. Click Advanced.

  9. Click the Change Default Preferences... button.

  10. Select Hardware for the Flow control.

  11. Select Disabled for the Compression.

  12. Select Disabled for the Data Protocol.

  13. Click OK to close the window.

  14. Click OK to close the window.

  15. Click the Dialing Rules tab.

  16. Click the Edit... button.

  17. Fill in all boxes, and click either Tone or Pulse.

  18. Click OK to close the window.

  19. Click OK to close the window.

For Windows XP:

  1. Click Start.

  2. Click Control Panel-->Printers and Other Hardware.

  3. Click Phone and Modem Options.

  4. Click the Modem tab. The name of the modem installed in your computer is highlighted.

  5. Click Properties.

  6. Click the Modem tab.

  7. Clear the Wait for dial tone before dialing check box.

  8. Click the Advanced tab.

  9. Click the Change Default Preferences... button.

  10. For Data Protocol, select Disabled.

  11. For compression, select Disabled.

  12. Click OK to close the window.

  13. Click OK to close the window.

  14. Click the Dialing Rules tab.

  15. Click the Edit... button.

  16. Type the required information in each text box, and then click either Tone or Pulse.

  17. Click OK to close the window.

  18. Click OK to close the window.

Run your modem application again.

Problem: Your modem application does not work in the Windows 95 environment.

Solution: Make sure that:

  • The modem is connected correctly.

  • There is no exclamation point ! to the left of the name of the modem in the Device Manager window.

If an ! is there, there may be a system resource conflict with the other port.

Problem: Your PC Card modem does not work.

Solution: Make sure that the infrared port is disabled and the modem is set up correctly by following the instructions in this book or in the manuals shipped with your PC Card modem.


Modem and Networking

Modems and networking

The following are the most common modems and networking problems:

Modem

Ethernet

Wireless LAN

Bluetooth


External monitor problems

  • The external monitor is blank

  • You cannot set a higher resolution than the present one on your external monitor.

  • The screen is unreadable or distorted.

  • Wrong characters appear on the screen.

  • The dual display function does not work.

  • Movie picture is blacked out on the secondary display.

  • Display switching (Fn+F7) cannot be supported.

  • When you use Windows(R) 2000, display switching (Fn+F7) cannot be supported in a command prompt full-screen session.

  • Higher resolution or higher refresh rate cannot be set on the secondary display.

  • When you connect an external monitor to the computer with UXGA LCD, the image on the external monitor is distorted.

Problem: The external monitor is blank

Solution: Press Fn+F7 to bring up the image. If the problem persists, do the following:

  1. Connect the external monitor to another computer to make sure it works.

  2. Reconnect the external monitor to your computer.

  3. Refer to the manual shipped with the external monitor to check the resolutions and refresh rates that are supported.

  4. Start the ThinkPad Configuration Program.

  5. Select one of the Display Device buttons on the toolbar in the ThinkPad Configuration Program:

    • If the external monitor supports the same resolution as the computer display or a higher resolution, click CRT Display Only or Both LCD and CRT Display.

    • If the external monitor supports a lower resolution than the computer display, click CRT Display Only. (If you click the Both LCD and CRT Display,the external monitor screen will be blank or distorted.)

      Note: You can use Fn+F7 to switch the display among CRT Display only, Both LCD and CRT Display, and LCD only.

Problem: You cannot set a higher resolution than the present one on your external monitor.

Solution:

  • Make sure that the display driver is installed correctly, by doing the following:

    Open the Display Properties window.

    For Windows XP, Windows 2000, and Windows 98:

    1. Click the Settings tab.

    2. Click Advanced...

    3. Click the Adapter tab.

      Make sure that "ATI Mobility Radeon" is shown in the adapter information window.

    4. Click OK.

      If you are not sure that the display driver is installed correctly, reinstall it.

    For Windows NT(R):

    1. Click the Settings tab.

    2. Click Display Type...

      Make sure that "ATI Mobility Radeon" is shown in the Display Type window.

    3. Click OK.

      If you are not sure that the display driver is installed correctly, reinstall it.

  • Make sure that the appropriate monitor type is selected, by doing the following:

  1. Connect the external monitor to the external-monitor connector on the rear of the computer, and then connect the monitor to an electrical outlet.

  2. Turn on the external monitor and the computer.

  3. Press Fn+F7 to change the display output location to the external monitor.

  4. Open the Display Properties window.

    For Windows XP:

    1. Click the Settings tab.

    2. Click Advanced...

    3. Click the Monitor tab. Check the monitor information window to make sure that the monitor type is correct. If it is, click OK to close the window; otherwise do as follows.

    4. If more than two monitor types are displayed, select Default Monitor.

    5. Click Properties.

    6. Click the Driver tab.

    7. Click Update Driver.... The Hardware Update Wizard appears.

    8. Select Install from a list or specific location (Advanced), and then click Next.

    9. Select Don't search. I will choose the driver to install, and then click Next.

    10. Clear the Show compatible hardware check box.

    11. Select Manufacturers and Models for your monitor.

    12. After updating the driver, click OK to close the Properties window.

    13. Set Colors and Screen area in the Display Properties window.

    14. Click OK.

    For Windows 2000:

    1. Click the Settings tab.

    2. Click Advanced...

    3. Click the Monitor tab. Check the monitor information window to make sure that the monitor type is correct. If it is, click OK to close the window; otherwise do as follows.

    4. Select Default Monitor.

    5. Click Properties.

    6. Click the Driver tab.

    7. Click Update Driver.... The Hardware Update Wizard appears.

    8. Select Display a list of the known device so that I can choose a specific driver. Then click Next.

    9. Select Show all hardware of this device class.

    10. Select Manufacturers and Models for your monitor.

    11. After updating the driver, click OK to close the Properties window.

    12. Set Colors and Screen area in the Display Properties window.

    13. Click OK.

    For Windows 98:

    1. Click the Settings tab.

    2. Click Advanced...

    3. Click the Monitor tab. Make sure that the appropriate monitor type is shown in the Monitor Information window. If it is, click OK to close the window; otherwise go on to the next step.

    4. Click Change... The Update Device Driver Wizard appears.

    5. Click Next, and follow the instructions on the screen by selecting Display a list of all the drivers in a specific location, so you can select the driver you want, and then Show all hardware.

    6. Select Manufacturers and Models for your monitor, and follow the instructions on the screen.

    7. After updating the driver, click OK to close the Properties window.

    8. Set Colors and Screen area in the Display Properties window.

    9. Click OK.

    For Windows NT:

    1. Click the Settings tab.

    2. In the Display Properties window, set Colors and Screen area.

    3. In the Settings window, click the Test button. Make sure that the test screen is displayed on the external monitor.

    4. Click OK.

Problem: The screen is unreadable or distorted.

Solution: Make sure that the display driver is installed correctly. (Refer to the "Solution" for setting a higher resolution on the external monitor.)

Make sure that the appropriate monitor type is selected. (Refer to the "Solution" for setting a higher resolution on the external monitor.)

Make sure that an appropriate refresh rate is selected by doing the following:

  1. Connect the external monitor to the external-monitor connector on the rear of the computer, and then connect the monitor to an electrical outlet.

  2. Turn on the external monitor and the computer.

  3. Press Fn + F7 to change the display output location to the external monitor.

  4. Open the Display Properties window.

For Windows XP:

  1. Click the Settings tab.

  2. Click Advanced....

  3. Click the Monitor tab.

  4. Select the correct refresh rate.

For Windows 98:

  1. Click Advanced... in the Settings tab in the Display Properties window.

  2. Click the Adapter tab.

  3. Select the correct refresh rate for your monitor. If you are not sure, select Optimal.

  4. If the settings are correct, run the tests described in the manual supplied with the external monitor. If the tests show that the external monitor is OK, have the computer serviced.

Problem: Wrong characters appear on the screen.

Solution: Did you follow the correct procedure in installing the operating system or application program? If you did, have the external monitor serviced.

Problem: The dual display function does not work.

Solution:

Note: This function is supported in Windows XP Professional Edition, Windows Me, and Windows 98.

Enable the dual display function by doing the following:

  1. Attach the computer to an external monitor.

  2. Open the Display Properties window.

  3. Click the Settings tab.

  4. Click the Monitor-2 icon.

  5. Click Attached.

  6. Mark the Extend my Windows desktop onto this monitor check box.

  7. Click the Monitor-1 icon (for the primary display, the computer display).

  8. Select the color depth and the resolution of the primary display.

  9. Click the Monitor-2 icon (for the external monitor).

  10. Select the color depth and the resolution of the secondary display.

  11. Set the relative position of the each monitor by dragging its icon. You can set the monitors in any relative position, but the icons must touch each other.

  11. Click OK to apply the changes.

Problem: Movie picture is blacked out on the secondary display.

Solution: Using the Display Properties window, disable the secondary display or set both the computer display and the external monitor as the primary display (default). To launch the Display Properties window, refer to the "Solution" of "The dual display function does not work" above.

Problem: Display switching (Fn+F7) cannot be supported.

Solution: Using the Display Properties window, disable the secondary display or set both the computer display and the external monitor as the primary display (default). To launch the Display Properties window, refer to the "Solution" of "The dual display function does not work" above.

Problem: When you use Windows 2000, display switching (Fn+F7) cannot be supported in a command prompt full-screen session.

Solution: To use display switching (Fn+F7), go back to Windows Desktop by pressing Alt+Enter or exit the command prompt full-screen session.

Problem: Higher resolution or higher refresh rate cannot be set on the secondary display.

Solution: Using the Display Properties window, disable the secondary display or set both the computer display and the external monitor as the primary display (default). You can also solve the problem by changing the resolution and the color depth to lower settings. To launch the Display Properties window, refer to the "Solution" of "The dual display function does not work" above.

Problem: When you connect an external monitor to the computer with UXGA LCD, the image on the external monitor is distorted.

Solution: Check the resolution your monitor supports. To use simultaneous display on the computer display and the external monitor, it should support a resolution of 1600x1200. If it does not, do one of the following:

  • Change the resolution and use it in the external monitor only mode.

  • In properties for the ATI display, enable the secondary CRT controller.


Errors without messages

  • When I turn on the machine, nothing appears on the screen and the machine does not beep while starting up.

  • When I turn on the machine, only a white cursor appears on a blank screen.

  • My screen goes blank while the computer is on.

  • The DOS full-screen looks smaller.

Problem: When I turn on the machine, nothing appears on the screen and the machine does not beep while starting up.

Note: If you are not sure whether you heard any beeps, turn off the computer; then turn it on again, and listen again. If you are using an external monitor, refer to External monitor problems.

Solution: If a power-on password is set, press any key to display the power-on password prompt, and then type the correct password and press Enter (refer to Using passwords).

If the power-on password prompt does not appear, the brightness control lever might be set to minimum brightness. Adjust the brightness level by pressing the Fn + Home key.

If the screen still remains blank, make sure that:

  • The battery is installed correctly.

  • The ac adapter is connected to the computer and the power cord is plugged into a working electrical outlet.

  • The computer power is on. (Turn on the power switch again for confirmation.)

If these items are properly set, and the screen remains blank, have the computer serviced.

Problem: When I turn on the machine, only a white cursor appears on a blank screen.

Solution: First, reboot your system by pressing Ctrl+Alt+Del. If that does not work, hold down the power switch for more than 4 seconds. If this does not resolve the problem, you may need to reinstall your operating system.

Problem: My screen goes blank while the computer is on.

Solution: Your screen saver or power management may be enabled. Move the TrackPoint or press a key to exit the screen saver, or press the power switch to resume from standby or hibernation.

Problem: The DOS full-screen looks smaller.

Solution: If you use a DOS application that supports only 640x480 resolution (VGA mode), the screen image might look slightly distorted or might appear smaller than the display size. This is to maintain compatibility with other DOS applications. To expand the screen image to the same size as the actual screen, start the ThinkPad Configuration Program and click LCD; then select the Screen expansion function. (The image might still look slightly distorted.)

Note: If your computer has screen expansion function, you can use the Fn+F8 keys to expand the screen image.


Other problems

  • The computer locks or does not accept any input.

  • The computer does not turn off with the power button.

  • The computer does not start from a device you want, such as a diskette drive.

  • The computer does not respond.

  • I forgot my password.

  • Windows NT(R) does not start; however, the message saying that Windows NT is loading remains on the screen.

Problem: The computer locks or does not accept any input.

Solution: Your computer might lock when it enters standby mode during a communication operation. Disable the standby timer when you are working on the network.

To turn off the computer, press and hold the power switch for 4 seconds or more.

Problem: The computer does not turn off with the power button.

Solution: Turn off the computer by pressing and holding the power button for 4 seconds or more. If the computer is still not reset, remove the ac adapter and battery.

Problem: The computer does not start from a device you want, such as a diskette drive.

Solution: Refer to the Startup menu of the BIOS Setup Utility. Make sure that the startup sequence in the IBM BIOS Setup Utility is set so that the computer starts from the device you want.

Make sure that the device from which the computer starts is enabled by checking there is no ! mark preceding the device name.

Problem: The computer does not respond.

Solution: IRQs for the PCI are all set as 11. The computer does not respond because it cannot share the IRQ with other devices. Refer to the ThinkPad(R) Configuration Program.

Problem: I forgot my password.

Solution: If you forgot your power-on password, you must take your computer to an IBM(R) reseller or marketing representative to have the password canceled.

If you forgot your hard disk password, IBM will not reset your password or recover data from the hard disk. You must take your computer to an IBM reseller or an IBM marketing representative to have the hard disk drive replaced. Proof of purchase is required, and an additional charge might be required for the service.

If you forgot your supervisor password, IBM will not reset your password. You must take your computer to an IBM reseller or an IBM marketing representative to have the system board replaced. Proof of purchase is required, and an additional charge might be required for the service.

Problem: Windows NT(R) does not start; however, the message saying that Windows NT is loading remains on the screen.

Solution: The USB setting might have been changed to Enabled. If so, it might cause a conflict in allocating memory resources during startup. Disable the setting, using the BIOS Setup Utility as follows:

  1. Turn your computer off and then on again; then, while the message, "Press F1 for IBM BIOS Setup Utility," is displayed at the lower left of the screen, press the F1 key to start the BIOS Setup Utility. The BIOS Setup Utility menu appears.

  2. With the cursor key, select Config; then press Enter.

  3. Select USB by pressing Enter.

  4. With the cursor key, select Disable; then press Enter.

  5. Press F10 and Enter to save this setting and exit this utility.


PC Card problems

  • The PC Card is recognized, but it does not work correctly.

  • A system resource conflict occurred when a PC Card was used.

  • PC Card support software does not recognize your PC Card.

  • The system cannot start from the PC Card.

  • The PC Card is installed and configured, but it does not work.

Problem: The PC Card is recognized, but it does not work correctly.

Solution: Make sure that the assignment of system resource for the PC Card does not conflict with assignments for other system devices. Refer to System conflicts.

Make sure that the resources reserved for the PC Card match the settings in the application program. If you are using a modem card, check the COM number, the I/O port address, and the IRQ level. If you are using a network card, check the I/O port address, the IRQ level, and the memory window address. To check the resources assigned to the PC Card, click PC Card Slots and the Allocated Resources tab in the ThinkPad Configuration program.

Problem: A system resource conflict occurred when a PC Card was used.

Solution: Refer to System conflicts.

Problem: PC Card support software does not recognize your PC Card.

Solution: Generally, the PC Card have the proper client device driver communicating with PC Card support software or operating system. You may need to install the device driver to use the PC Card. The PC Card supplier may update the device driver and upload it to supplier's Web site. If you find the latest device driver on the Web site, download and install it. Then, make sure that your PC Card is working by following the diagnostic instructions for your PC Card, if any.

Problem: The system cannot start from the PC Card.

Solution: Make sure that the system resources being used are the correct ones for the PC Card.

RPL (Token Ring):

IRQ 9

Memory: X'D0000'-X'D3FFF'

I/O: X'A20'-X'A23'

Problem: The PC Card is installed and configured, but it does not work.

Solution:

  • Modem card:Make sure that all settings in the Modem Control panel and in your communication application correspond and are correct.

  • SCSI card: Make sure that the correct driver for the SCSI card is installed.

Note: SCSI cards can be inserted while you are operating your computer; however, it is recommended that you insert them at boot time.

  • Network card: Make sure that all network components are correctly installed.

  • Combo card: Make sure that the correct driver for the Combo card is installed. Restart the system, and then insert the Combo card.


Ports and connectors

The following are the most common ports and connectors problems:

Infrared port

Universal Serial Bus (USB)

Docking station or port replicator


A power button problem

  • The system does not respond, and you cannot turn off the computer.

Problem: The system does not respond, and you cannot turn off the computer.

Solution: Turn off the computer by pressing and holding the power button for 4 seconds or more. If the system is still not reset, remove the ac adapter and the battery.


A printer problem

  • The printer does not work.

Problem: The printer does not work.

Solution: Make sure that:

  • The parallel port is enabled.

    1. Start the ThinkPad(R) Configuration Program.

    2. Select Parallel Port.

    3. Select Enable.

    4. Click OK.

  • The printer is turned on and ready to print.

  • The printer signal cable is connected to the correct connector of your computer.

If the printer still does not work, run the tests described in the printer manual. If the tests show that the printer is OK, have the computer serviced.


Printers, scanners, and other devices

The following is the most common printer problem:

Printer


PS2 commands

The following tables show which PS2 commands you can use with each operating system. Y means yes; for example, you can use the PMode command with Windows NT.

Power Management commands

Command | Windows NT | Windows 95 | Windows 98 | Windows Millennium | Windows 2000 | Windows XP
DEFAULT | Y | Y | N | N | N | N
PMode | Y | Y | N | N | N | N
POwer | Y | Y | N | N | N | N
LCd | Y | Y | N | N | N | N
DISK | Y | Y | N | N | N | N
SPeed | Y | Y | Y | Y | N | N
RI | Y | Y | Y | Y | N | N
HTimer | Y | Y | N | N | N | N
TImer | Y | Y | N | N | N | N
LBattery | Y | Y | Y | Y | N | N
S2H | Y | Y | Y | Y | N | N
HSWITCH | Y | Y | Y | Y | N | N
Cover | Y | Y | Y | Y | N | N
DOCK | Y | Y | Y | Y | N | N
UNDOCK | N | N | N | Y | Y | Y
SAfe | Y | Y | Y | Y | N | N
CDSPeed | Y | Y | Y | Y | Y *1 | Y *1
CPUPower | Y | Y | Y | Y | Y | Y
PCIBUSPower | Y | Y | Y | Y | Y | Y
SPEEDSTEP | N *2 | N *3 | N *3 | N *3 | N *2 | N *2
ON | Y | Y | N | N | N | N

*1: Reboot required

*2: Not displayed

*3: License reason

Display Device commands

Command | Windows NT | Windows 95 | Windows 98 | Windows Millennium | Windows 2000 | Windows XP
SCreen | Y | Y | Y | Y | Y | Y
HVEXPansion | Y | Y | Y | Y | Y | Y

Alarm command

Command | Windows NT | Windows 95 | Windows 98 | Windows Millennium | Windows 2000 | Windows XP
BEEP | Y | Y | Y | Y | Y | Y

ThinkPad(R) Setup commands

Command | Windows NT | Windows 95 | Windows 98 | Windows Millennium | Windows 2000 | Windows XP
IDE2 | Y | Y | Y | Y | Y | Y
FNSticky | Y | Y | Y | Y | Y | Y
TPOint | Y | Y | Y | Y | Y | Y
PARallel | Y | Y *1 | Y *1 | Y *1 | Y *1 | Y *1
SERA | Y | N | N | N | N | N
IRQ | Y | Y *2 | Y *2 | Y *2 | Y *2 | Y *2
DMA | Y | Y *2 | Y *2 | Y *2 | Y *2 | Y *2
PCIIRQ | Y | Y | Y | Y | Y | Y
STARTup | Y | Y | Y | Y | Y | Y
PRESENtation | Y | Y | N | N | N | N
IR | Y | N | N | N | N | N
USBBios | Y | Y | Y | Y | Y | Y
LFDD | Y | Y | Y | Y | Y | Y
COMAddress | Y | Y *2 | Y *2 | Y *2 | Y *2 | Y *2
PREFMemory | Y | N | N | N | N | N

*1: Mode only

*2: Partially supported

Other commands

Command | Windows NT | Windows 95 | Windows 98 | Windows Millennium | Windows 2000 | Windows XP
BRightness | Y | Y | Y | Y | Y | Y
OFF | Y | Y | Y | Y | N | N
SUSpend | Y | Y | Y | Y | N | N
HIBernation | Y | Y | Y | Y | N | N
TURN | Y | Y | Y | Y | Y | Y


Resolve conflicts

You can resolve resource conflicts by use of the ThinkPad(R) Configuration Program, the Device Manager, or the IBM(R) BIOS Setup Utility.

ThinkPad Configuration Program

The ThinkPad Configuration Program tries to maintain your hardware configuration automatically by managing the system resources. If a resource conflict between devices does arise, the program notifies you automatically. Moreover, it helps you resolve the conflict, by offering a way to disable one or more of the devices. Click this icon to open the ThinkPad Configuration Program.

You can also resolve resource conflicts by use of the Device Manager or the IBM BIOS Setup Utility.

Device Manager

Open Device Manager by clicking this icon:

You can also access the Device Manager from the ThinkPad Configuration Program by clicking the Device Manager button.

For details about a device used in the computer, select the device and click Properties. General information is displayed, as well as information on drivers and resources. For example, from the Driver window, you can see the device driver version, and you can update the driver.

If there is an X to the left of the listing for the device, that device is disabled. To enable it, select it and click Properties. You can see whether the device can be enabled. To change the default configuration setting, click Resources.

An exclamation point ! to the left side of the listing for a device means that the device has a problem. To resolve the problem, select the device and click Properties.

IBM BIOS Setup Utility

Only the PCI configuration is a unique function of the IBM BIOS Setup Utility. You can set up the other functions with the ThinkPad Configuration Program. The settings in the ThinkPad Configuration Program take precedence over those in the IBM BIOS Setup Utility.

For explanation of the items in the Config menu of the IBM BIOS Setup Utility, refer to BIOS Setup Utility items.


IRQ assignments

The following table shows the system resources available for your computer and the expansion unit. The values in parentheses are alternatives that you can select from the ThinkPad(R) Configuration Program or from an application program. The default values are highlighted in boldface.

System resources

IRQ

I/O address (hex)

Memory address (hex)

DMA channel

Audio accelerator

PCI IRQ (3, 4, 5, 7, 9, 10, 11, or 15)

PCI memory

None

IDE device in the Ultrabay(TM) 2000 (left)

14

01F0-01F7 and 03F6

None

None

IDE device in the Ultrabay 2000 (right)

15

0170-0177 and 0376

None

None

Diskette controller

6

03F0-03F5 and 03F7

None

2

Game device (set and used by a VXD audio device driver under Windows 95 or Windows 98 only)

5

0220-022F, 0240-024F and 0388-038B

None

1, 2, or 3

5, 7, 9, or 10

0220-022F, 0240-024F 0260, or 026F
and
0388-038B, 0390-0393, 0398, or 039B

None

1

Hard disk drive

14

01F0-01F7 and 03F6

None

None

Infrared port

3, 4, 5, or 7

03F8-03FF, 02F8-02FF,
03E8-03EF, 02E8-02EF, or Disabled

0, 1, or 3

Keyboard

1

0060 and 0064

None

None

Math co-processor exception

13

None

None

None

Modem

PCI IRQ (3, 4, 5, 7, 9, 10, 11, 15)

PCI I/O

PCI memory

None

Parallel port

5 or 7

03BC-03BE and 07BC-07BE, 0378-037F and 0778-077A, 0278-027F and 0678-067A, or Disabled

0, 1, or 3

PC Card

(Dependent on the PC Card type)

(Dependent on the PC Card type)

(Dependent on the PC Card type)

None

PC Card controller (CardBus)

PCI IRQ (3, 4, 5, 7, 9, 10, 11, 15)

03E0-03E1 (the PC Card slot in the docking station: 03E2-03E3) or none

(PCI memory)

Real-time clock

8

0070-0071

None

None

Serial port

3, 4, 5, or 7

03F8-03FF, 02F8-02FF, 03E8-03EF, 02E8-02EF, or Disabled

Timer

0

0040-0043

TrackPoint or mouse

12

0060 and 0064

Video

PCI IRQ (3, 4, 5, 7, 9, 10, 11, 15)

03B0-03BB or 03C0-03DF

A0000-BFFFF, C0000-CFFFF, or PCI memory

None

Notes:

  1. PCI I/O and PCI memory are automatically set by the system.

  2. For Windows NT 4.0, IRQ 5 and 7 cannot be set for infrared.

  3. Joystick and game device resources are set by the device driver.

  4. For Windows 95 OSR2 or Windows 98, memory-mapped I/O is used instead of the I/O address.

  5. The default IRQ resource assignment may be different from the above list, depending on the hardware configuration or the preloaded operating system of your computer.


Resource assignments

The following table shows the default system resource assigned for each IRQ. For a list of the system resources and IRQs, click here.

Note: The default IRQ resource assignment may be different from the following list, depending on the hardware configuration or the preloaded operating system of your computer.

IRQ | Assignment
0 | Timer
1 | Keyboard
2 | Cascade
3 | Not used
4 | Not used
5 | Not used
6 | Diskette
7 | Parallel port
8 | Real-time clock
9 | SCI (ACPI OS only)
10 | Not used
11 | PCI
12 | Auxiliary device
13 | Math co-processor
14 | Primary IDE (in the Ultrabay(TM) 2000 and the HDD bay)
15 | Secondary IDE (in the Ultrabay Plus)


Standby and hibernation problems

  • The computer enters standby mode unexpectedly.

  • The computer enters standby mode immediately after POST (the standby indicator turns on).

  • The "critical low-battery error" message appears, and the computer immediately turns off.

  • The computer display remains blank after you take action to return from standby mode.

  • The computer does not return from standby mode, or the standby indicator stays on and the computer does not work.

  • Your computer does not enter standby or hibernation mode.

  • The computer does not enter standby mode as set by the timer under Windows 98 or Windows NT.

  • The Fn+F12 key combination does not make the computer enter hibernation mode.

Problem: The computer enters standby mode unexpectedly.

Solution: If the processor overheats, the computer automatically enter standby mode to allow the computer to cool and to protect the processor and other internal components. Also, check the settings for standby mode, using Battery MaxiMiser.

Problem: The computer enters standby mode immediately after Power-on self-test (POST) (the standby indicator turns on).

Solution: Make sure that:

  • The battery is charged.

  • The operating temperature is within the acceptable range. Refer to "Specifications" in the printed Service and Troubleshooting Guide.

If these items are correct, have the computer serviced.

Problem: The "critical low-battery error" message appears, and the computer immediately turns off.

Solution: The battery power is getting low. Connect the ac adapter to the computer, or replace the battery with a fully charged one.

Problem: The computer display remains blank after you take action to return from standby mode.

Solution: Check if an external monitor was disconnected while the computer was in standby mode. Do not disconnect the external monitor while the computer is in standby mode or hibernation mode. If no external monitor is attached when the computer resumes, the computer display remains blank and output is not displayed. This restriction does not depend on the resolution value. Press Fn+F7 to bring up the computer display.

Problem: The computer does not return from standby mode, or the standby indicator stays on and the computer does not work.

Solution: If the system does not return from standby mode, it may have entered standby or hibernation mode automatically because the battery is depleted. Check the standby indicator.

  • If the standby indicator is on, your computer is in standby mode. Connect the ac adapter to the computer; then press Fn.

  • If the standby indicator is off, your computer is in hibernation mode or power-off state. Connect the ac adapter to the computer; then press power button to resume operation.

If the system still does not return from standby mode, your system may stop responding and you cannot turn off the computer. In this case, you need to reset the computer. If you have not saved your data, it may be lost. To reset the computer, press and hold the power button for 4 seconds or more. If the system is still not reset, remove the ac adapter and the battery.

Problem: Your computer does not enter standby or hibernation mode.

Solution: Check if any option has been selected to disable your computer from entering standby or hibernation mode.

Problem: The computer does not enter standby mode as set by the timer under Windows 98 or Windows NT.

Solution: For Windows 98:

The generic CD-ROM or DVD-ROM driver for Windows 98 accesses the internal CD-ROM drive or DVD-ROM drive every 3 seconds to see if a CD-ROM is inserted in the CD-ROM drive or DVD-ROM drive. This prevents your computer from entering standby mode even after a timeout. To prevent this from occurring, do the following:

  1. Click Start.

  2. Move the cursor to Settings and Control Panel.

  3. Click Control Panel, and then double-click System.

  4. Click the Device Manager tab.

  5. Click the + mark of CD-ROM.

  6. Double-click the name of the CD-ROM or DVD-ROM.

  7. Click the Setting tab.

  8. Clear the Auto insert notification check box.

Windows 98 no longer detects the CD-ROM or DVD-ROM insertion automatically.

For Windows NT:

If you have enabled the CD-ROM AutoRun feature, the computer does not enter standby mode through the timer . To enable the timer in this situation, edit the configuration information in the registry as follows:

  HKEY_LOCAL_MACHINE\SYSTEM\
  CurrentControlSet\Services\Cdrom\
  Autorun: 0x1 > Autorun: 0

Problem: The Fn+F12 key combination does not make the computer enter hibernation mode.

Solution: The computer cannot enter hibernation mode:

  • If you are using one of the IBM communication PC Cards. To enter hibernation mode, stop the communication program, and then remove the PC Card or disable the PC Card slot, using the Control Panel.

  • If the hibernation utility is not installed in Windows 98 or Windows NT. To install the hibernation utility, refer to Installing device drivers.

  • If the hibernation mode is not enabled. To enable it, do as follows:

For Windows 98:

  1. Start the ThinkPad Configuration Program.

  2. Click Power Management .

  3. Click the Hibernation tab.

  4. Click the Enable hibernation... button.

  5. Click the Create Now button.

For Windows NT:

Note: You must format your hard disk with the FAT format system to use hibernation mode in Windows NT. If you format your hard disk with NTFS, the default format in Windows NT, you cannot use hibernation mode.

  1. Start the ThinkPad Configuration Program.

  2. Click Power Management.

  3. Click Suspend/Resume Options.

  4. Click Enable Hibernation.

  5. Click OK.

For Windows 2000 or Windows XP:

If you want to be able to enter hibernation mode by pressing Fn+F12, you need to install IBM PM driver.


Software problems

  • An application does not run correctly.

  • The main window bitmap in the ThinkPad(R) Configuration program is distorted (Windows NT(R) only).

Problem: An application does not run correctly.

Solution: Make sure that the problem is not being caused by the application.

Check that your computer has the minimum required memory to run the application. Refer to the manuals supplied with the application.

Check the following:

  • The application is designed to operate with your operating system.

  • Other applications run correctly on your computer.

  • The necessary device drivers are installed.

  • The application works when it is run on some other computer.

If an error message appears when you are using the application program, refer to the manuals supplied with the application.

If the application still does not run correctly, contact your place of purchase or a service representative for help.

Problem: The main window bitmap in the ThinkPad Configuration program is distorted (Windows NT only).

Solution: Installing the Active Desktop, bundled with Internet Explorer Version 4.0 on Windows NT, might cause this problem. Do one of the following:

  • Uninstall the Active Desktop. (Merely disabling the Active Desktop is not effective to avoid the problem.)

  • Close the ThinkPad Configuration program and start it again. (This is a temporary recovery.)


System conflicts

To use devices, the following system resources are required:

Interrupt request (IRQ): A signal from a device to the processor. The system has 16 levels of IRQs.

Direct memory access (DMA): A mechanism to improve overall system performance by transferring data between memory and devices without processor intervention. The system has eight DMA channels.

The IRQ levels, DMA channels, and I/O addresses must be configured without introducing conflict among devices. When you add new devices to your ThinkPad(R) computer, make sure that you do not exceed the number of IRQs or DMAs allowed by the operating system.

Resource assignments

IRQ assignments

Resolve conflicts


TrackPoint problems

  • The cursor drifts when the computer is turned on or after it resumes normal operation.

  • The mouse or pointing device does not work.

  • The mouse buttons do not work.

  • The scrolling or magnifying glass function does not work.

Problem: The cursor drifts when the computer is turned on or after it resumes normal operation.

Solution: The cursor might drift when you are not using the TrackPoint(R) during normal operation. This is a normal characteristic of the TrackPoint and is not a defect. Cursor drifting might occur for several seconds under the following conditions:

  • When the computer is turned on.

  • When the computer resumes normal operation.

  • When the TrackPoint is pressed for a long time.

  • When the temperature changes.

Problem: The mouse or pointing device does not work.

Solution: Make sure that the TrackPoint is enabled in the ThinkPad(R) Configuration Program, and then try using the TrackPoint. If the TrackPoint works, the error might be due to the mouse.

Make sure that the mouse or pointing-device cable is securely connected to the computer.

If your mouse is incompatible with the IBM(R) PS/2 mouse, disable the TrackPoint, using the ThinkPad Configuration Program.

Note: For more information, see the manual supplied with the mouse.

Problem: The mouse buttons do not work.

Solution: Change the mouse driver to Standard PS/2 Port Mouse, and then reinstall IBM PS/2 TrackPoint. Drivers are provided in the C:\IBMTOOLS\DRIVERS directory on your hard disk drive. If your hard disk drive does not contain device drivers, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Problem: The scrolling or magnifying glass function does not work.

Solution: Check the mouse driver in the Device Manager window, and make sure that the IBM PS/2 TrackPoint driver is installed.


Troubleshooting

If your computer has an error, it typically displays a message or an error code, or a beep sounds when you turn it on. To correct an error, first find the description of the error in the left-hand column of the chart that applies. Then click that description to get a troubleshooting procedure.

To make sure that your computer has the features or options that the chart applies to, consult the online help or the list shipped with your computer.

Error messages

Errors without messages

Modems and networking

Keyboard and other pointing devices

Display and multimedia devices

Printers, scanners, and other devices

Battery and power

Drives and other storage devices

Drivers and software

Ports and connectors

System conflicts

Other problems

Spills on the keyboard


A television problem

  • The television screen is blank.

Problem: The television screen is blank.

Solution: Make sure that you have enabled the television settings. To use the TV as the primary display with the dual display function, you need to enable the settings every time you start your computer.

Make sure that you enabled the video-out connector (TV out) by doing the following:

    1. Open the Display Properties window.

    2. Click the Settings tab.

    3. Click Advanced...

    4. Click the Displays tab.

    5. Click the TV button and set the TV settings in the properties dialog.

    6. Click OK to close the window.

    7. Click OK to apply the changes.

    8. Click OK.


A Universal Serial Bus problem

  • A device connected to the USB connector does not work.

Problem: A device connected to the USB connector does not work.

Solution: Open the Device Manager window. Make sure that the USB device setup is correct, and that the assignment of computer resource and the installation of the device driver are correct.

To open the Device Manager, click the following button, click the Hardware tab, and then click the Device Manager button.

Note:To open the Device Manager window in Windows(R) 95, Windows 98, or Windows NT(R), click Start and move the cursor to Settings and Control Panel. Double-click Control Panel, and System. Then click the Device Manager tab in the System Properties window.

Refer to Diagnosing problems and run PC-Doctor(R) for Windows(R) for a diagnostic test of the USB connector.


A wireless problem

  • You cannot connect using the built-in wireless networking card.

Problem: You cannot connect using the built-in wireless networking card.

Solution: Make sure that your computer is within range of a wireless access point.

Make sure that Wireless Radio is enabled by double-clicking the IBM(R) High Rate Wireless LAN MiniPCI Combo Card Configuration Utility icon in the system tray.

Check Network Name (SSID), and your encryption information. Use Configuration Utility to verify this case-sensitive information.

  • If you are using Access Point Mode, verify that you are using the correct Network Name and encryption information. This information is provided by the network administrator.

  • If you are using Peer-to-Peer Mode, verify that all the users entered the same Network Name, Peer-to-Peer channel, and encryption information.

If you are using Access Point Mode, check with your network administrator to verify that the wireless networking card is correctly registered.